scala.tools.nsc.backend.icode.ExceptionHandlers

# ExceptionHandler

#### class ExceptionHandler extends AnyRef

Source
  ExceptionHandlers.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Finalizer
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ExceptionHandler
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ExceptionHandler(other: ICodes.ExceptionHandler)

   A standard copy constructor

2. #### new ExceptionHandler(method: ICodes.IMethod, label: Global.TermName, cls: Global.Symbol, pos: Global.Position)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ICodes.ExceptionHandler to any2stringadd[ICodes.ExceptionHandler] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ICodes.ExceptionHandler, B)

   Implicit information
     This member is added by an implicit conversion from ICodes.ExceptionHandler to ArrowAssoc[ICodes.ExceptionHandler] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def addBlock(b: ICodes.BasicBlock): Unit

7. #### def addCoveredBlock(b: ICodes.BasicBlock): ExceptionHandler.this.type

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### var blocks: List[ICodes.BasicBlock]

   The body of this exception handler.

   The body of this exception handler. May contain 'dead' blocks (which will not make it into generated code because linearizers may not include them)

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### val cls: Global.Symbol

12. #### var covered: Set[ICodes.BasicBlock]

    The list of blocks that are covered by this exception handler

13. #### def covers(b: ICodes.BasicBlock): Boolean

    Is `b` covered by this exception handler?

14. #### def dup: ICodes.ExceptionHandler

15. #### def ensuring(cond: (ICodes.ExceptionHandler) ⇒ Boolean, msg: ⇒ Any): ICodes.ExceptionHandler

    Implicit information
      This member is added by an implicit conversion from ICodes.ExceptionHandler to Ensuring[ICodes.ExceptionHandler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: (ICodes.ExceptionHandler) ⇒ Boolean): ICodes.ExceptionHandler

    Implicit information
      This member is added by an implicit conversion from ICodes.ExceptionHandler to Ensuring[ICodes.ExceptionHandler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean, msg: ⇒ Any): ICodes.ExceptionHandler

    Implicit information
      This member is added by an implicit conversion from ICodes.ExceptionHandler to Ensuring[ICodes.ExceptionHandler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: Boolean): ICodes.ExceptionHandler

    Implicit information
      This member is added by an implicit conversion from ICodes.ExceptionHandler to Ensuring[ICodes.ExceptionHandler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

21. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

22. #### var finalizer: ICodes.Finalizer

23. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ICodes.ExceptionHandler to StringFormat[ICodes.ExceptionHandler] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

24. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

25. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

26. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

27. #### val label: Global.TermName

28. #### def loadExceptionClass: Global.Symbol

29. #### val method: ICodes.IMethod

30. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

31. #### final def notify(): Unit

    Definition Classes
      AnyRef

32. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

33. #### val pos: Global.Position

34. #### def setStartBlock(b: ICodes.BasicBlock): Unit

35. #### def startBlock: ICodes.BasicBlock

36. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

37. #### def toString(): String

    Definition Classes
      ExceptionHandler → AnyRef → Any

38. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### def →[B](y: B): (ICodes.ExceptionHandler, B)

    Implicit information
      This member is added by an implicit conversion from ICodes.ExceptionHandler to ArrowAssoc[ICodes.ExceptionHandler] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ICodes.ExceptionHandler to any2stringadd[ICodes.ExceptionHandler]

### Inherited by implicit conversion StringFormat from ICodes.ExceptionHandler to StringFormat[ICodes.ExceptionHandler]

### Inherited by implicit conversion Ensuring from ICodes.ExceptionHandler to Ensuring[ICodes.ExceptionHandler]

### Inherited by implicit conversion ArrowAssoc from ICodes.ExceptionHandler to ArrowAssoc[ICodes.ExceptionHandler]

### Ungrouped